<?php

namespace UnicaenDbImport\CodeGenerator\PostgreSQL;

use Doctrine\DBAL\Platforms\PostgreSqlPlatform;
use Interop\Container\ContainerInterface;
use UnicaenDbImport\CodeGenerator\PostgreSQL\CodeGenerator as PostgreSQLCodeGenerator;

class CodeGeneratorFactory
{
    /**
     * @param ContainerInterface $container
     * @return CodeGenerator
     */
    public function __invoke(ContainerInterface $container)
    {
        $service = new PostgreSQLCodeGenerator(new PostgreSqlPlatform());

        return $service;
    }
}