<?php

namespace UnicaenDbImport\Domain;

class ImportResult extends Result
{
    /**
     * @var ImportInterface
     */
    private $import;

    /**
     * @param int $count
     */
    public function setDestinationTablePopulateResult($count)
    {
        $data = [
            'count'   => $count,
            'details' => null,
        ];
        $this->setResultsForOperation($data, Operation::OPERATION_INSERT);
    }

    /**
     * @param ImportInterface $import
     * @return static
     */
    public function setImport(ImportInterface $import)
    {
        $this->import = $import;

        return $this;
    }

    /**
     * @return ImportInterface
     */
    public function getImport(): ImportInterface
    {
        return $this->import;
    }
}